/*-----------------------------------*\
  @BASE #PAGE
\*-----------------------------------*/

html {
  min-height: 100%;
  height: 100%;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-size: $font-size;
}

body {
  font-size: 100%;
  font-family: $base-font;
  line-height: $line-height;
  font-weight: 400;
  background-color: $bgr;
  color: $color-text;
  position: relative;

  // When footer needs to stick to the bottom of the screen
  &.sticky-footer {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: stretch;

    main {
      flex-grow: 1;
    }
  }
}
